Bug 497118 - RHN doesn't lete you unsubscribe from a channel you've lost access to
RHN doesn't lete you unsubscribe from a channel you've lost access to
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
RHN Stable
All Linux
low Severity medium
: ---
: ---
Assigned To: Sebastian Skracic
Red Hat Network Quality Assurance
US=3395
:
Depends On:
Blocks: rhn-sprint51
  Show dependency treegraph
 
Reported: 2009-04-22 09:01 EDT by Grant Gainey
Modified: 2010-09-13 12:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-13 12:05:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Grant Gainey 2009-04-22 09:01:19 EDT
If a customer has subscribed a system to a channel, which they then lose access to - attempting to *unsubscribe* that system via the web-ui leads to either a "you can't do that " message or an ISE-500 , depending on the path taken.

If you are *un*subscribing, we shouldn't care if you're still allowed to see the channel or not.

TEST PLAN
=========

1) Have a system in RHN with access to a given channel
2) Remove access to that channel from the associated org (either by expiring entitlement, or if necessary by hand-surgery on rhnprivatechannelfamilymap)
3) Go to the system "Alter channel subscriptions" page
4) Attempt to unsubscribe the system from the affected channel.

EXPECTED BEHAVIOR:
=================

System is allowed to unsubscribe

FAILURE:
=======

Receive error message/error page instead
Comment 1 Sebastian Skracic 2010-08-13 08:14:24 EDT
Fixed in 7f3a1314d60a6e7f17f73e0f4602f20c18f5fe13.
Comment 2 Sebastian Skracic 2010-08-13 09:25:21 EDT
Available on webdev.
Comment 3 venkat 2010-08-20 13:12:22 EDT
verified in dev.

we are allowed to unsubscribe to a channel now.

we are not getting "you can't do that" or ISE.

but when we click on the "Change Subscriptions" button, it doesn't say that you have unsubscribed to XYZ channel. it only says "Child channel subscriptions updated."

An informative message like you unsubscribed to XYZ channel may be helpfull.


delete from rhnPrivateChannelFamily where org_id = 6131501 and channel_family_id = (select channel_family_id from rhnchannelfamilymembers where channel_id = 6985);
Comment 4 venkat 2010-08-26 14:04:58 EDT
verified in QA. with the following org:

delete from rhnPrivateChannelFamily where org_id = 6131557 and
channel_family_id = (select channel_family_id from rhnchannelfamilymembers
where channel_id = 6985);

Note You need to log in before you can comment on or make changes to this bug.